<html>
    <head>
        <script src="../lightParse.js"></script>
        <script>
            var test = function (){
                var testPattern = "SEQ(x1,x2,x3) WHERE (x1.succ == 1, x2.test != 0,x3.succ == 1, x3.User == x1.User)";
                var testPattern3 = "SEQ(x1,x2) WHERE (x1.test = 2, x2.test = 1234, x2.a == x1.b)";
                var testPattern2 = "SEQ(x1,x2) WHERE (x1.test = 2, x2.test = 'ababa', x2.a == x1.b)";
                var testPattern4 = "SEQ(x1,x2) WHERE (x1.time + 10000 > x2.time, x2.test == 1234, x1.a == 1)";
                var testPattern5 = "SEQ(x1,x2,x3,x4) WHERE (x1.time + 10000 > x2.time, (x2.test + 10)*1000 >= 1234, x1.a == 1, x2.time + 10000 > x3.time)";
                var testPattern6 = "SEQ(x1,x2) WHERE (x1.time + 10000 < x2.time)";
                var testCallback = function (args){
                    console.log("Callback called with args: ");
                    console.log(args);
                    console.log("Callback done.");
                }
                //console.log(testPattern);
                /*lightParse.addPattern(testPattern, testCallback),
                    function () {
                        console.log("This was a callback");
                    }*/
            }
        </script>
    </head>
    <body onload="test()">
        <p>
            This page exists to test LightParse.
        </p>
    </body>
</html>
